module TreasureHunt
  require_relative 'player'

  class BerserkPlayer < Player
    
    def initialize(name, health=100)
      super(name, health)
      @heal_count = 0
    end

    def berserk?
      @heal_count > 5
    end

    def heal
      super
      @heal_count += 1
      puts "#{@name} has gone berserk!" if berserk?
    end

    def hit
      berserk? ? heal : super
    end

  end

  if __FILE__ == $0
    berserker = BerserkPlayer.new('hulk', 50)
    puts berserker
    6.times { berserker.heal }
    puts berserker
    2.times { berserker.hit }
    puts berserker
  end
end