module TreasureHunt
  Treasure = Struct.new(:name, :points)

  module TreasureHunt
    TREASURES = [
      Treasure.new(:grass, 5),
      Treasure.new(:bottle, 25),
      Treasure.new(:guitar, 50),
      Treasure.new(:cash, 100),
      Treasure.new(:painting, 200),
      Treasure.new(:ruby, 400)
    ]

    def self.random
      TREASURES.sample
    end
  end
end
