module TreasureHunt
  require_relative 'die'
  require_relative 'loaded_die'
  require_relative 'player'
  require_relative 'treasure_hunt'

  module GameTurn
    def self.take_turn(p)
      treasure = TreasureHunt.random
      die = Die.new
      number_rolled = die.roll
      case number_rolled
        when 1..2
          p.hit
          puts "#{p} got hit."
          p.found_treasure(treasure)
        when 3..4
          puts "(#{p.name}) was skipped"
        else
          p.heal
          puts "#{p} drank a potion."
          p.found_treasure(treasure)
      end
    end
  end
end
